/*
 * Copyright 1994, 1995 Vectaport Inc., Cartoactive Systems
 *
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation for any purpose is hereby granted without fee, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the names of the copyright holders not be used in
 * advertising or publicity pertaining to distribution of the software
 * without specific, written prior permission.  The copyright holders make
 * no representations about the suitability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 *
 * THE COPYRIGHT HOLDERS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS
 * SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS.
 * IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING
 * FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
 * NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION
 * WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 * 
 */

#ifndef dlgclasses_h
#define dlgclasses_h

#include <MapUnidraw/mapclasses.h>

/* 
 * Unique DlgUnidraw class identifiers.
 */

#define DLGSHOW_CMD        9401

#define ADJACENTS_TOOL     9420

#define DLGFCLASS_COMP     9451
#define DLGCOV_COMP        9452
#define DLGLIB_COMP        9453
#define DLGDB_COMP         9454
#define DLG_IDRAW_COMP     9455

#define DLGFCLASS_VIEW     Combine(DLGFCLASS_COMP, COMPONENT_VIEW)
#define DLGCOV_VIEW        Combine(DLGCOV_COMP, COMPONENT_VIEW)
#define DLGLIB_VIEW        Combine(DLGLIB_COMP, COMPONENT_VIEW)
#define DLGDB_VIEW         Combine(DLGDB_COMP, COMPONENT_VIEW)
#define DLG_IDRAW_VIEW     Combine(DLG_IDRAW_COMP, COMPONENT_VIEW)

#define DLGFCLASS_SCRIPT   Combine(DLGFCLASS_COMP, SCRIPT_VIEW)
#define DLGCOV_SCRIPT      Combine(DLGCOV_COMP, SCRIPT_VIEW)
#define DLGLIB_SCRIPT      Combine(DLGLIB_COMP, SCRIPT_VIEW)
#define DLGDB_SCRIPT       Combine(DLGDB_COMP, SCRIPT_VIEW)
#define DLG_IDRAW_SCRIPT   Combine(DLG_IDRAW_COMP, SCRIPT_VIEW)

#define DLGFCLASS_PS       Combine(DLGFCLASS_COMP, POSTSCRIPT_VIEW)
#define DLG_IDRAW_PS       Combine(DLG_IDRAW_COMP, POSTSCRIPT_VIEW)

#define DLGFCLASS_RAW      Combine(DLGFCLASS_COMP, RAWMAP_VIEW)

#endif
